<bugID>1349173<Summary>[Performance] There is a noticeable lag while changing  the netmonitor panel height</Summary><Description>[Affected versions]:
- latest Nightly 55.0a1
- latest Aurora 54.0a2

[Affected platforms]:
- Windows 10 x64
- Ubuntu 16.04 x64 LTS
- macOS 10.12

[Steps to reproduce]:
1. Start Firefox. 
2. Go to a website that has many requests e.g.: http://www.bbc.com/, https://www.youtube.com/ or http://edition.cnn.com/.
3. Open netmonitor. (Ctrl + Shift + Q)
4. Change rapidly the height of netmonitor panel. (drag it up and down)

[Expected result]:
- There is no lag while resizing the netmonitor height.

[Actual result]:
- A noticeable lag can be seen while resizing.

[Regression range]:
Last good revision: 2cb7e2608b1d0697364694ca8faf99692727c2ec
First bad revision: 030a883d87a71bda616a7991d7cdc044d16eed56
Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=2cb7e2608b1d0697364694ca8faf99692727c2ec&amp;tochange=030a883d87a71bda616a7991d7cdc044d16eed56

Looks like the following bug has the changes which introduced the regression:
https://bugzilla.mozilla.org/show_bug.cgi?id=1336383

[Additional notes]:
- this issue appears to not be reproduced on sites with less requests e.g. https://www.wikipedia.org/
- also, there is a clear delay when changing the Detail panel width (left to side)</Description></bugID>